Get resident insurance by ID
https://api.propexo.com/v1/resident-insurance/:resident_insurance_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the resident insurance
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
If a policy covers multiple tenants, the insured tenant's ID is appended to the policy's ID to keep each record unique.
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794374e2j2nyufuhmyThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794376g4l4pawhwjoaThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for BUILDIUM
nullThe external ID of the unit from the integration vendor
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794378i6n6rcyjylqcThe external ID of the lease from the integration vendor
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794375f3k3ozvgvinzThe external ID of the resident from the integration vendor
This is the x_id of the insured tenant on the policy.
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794377h5m5qbxixkpbThe insurance provider name
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
AssurantThe type of insurance
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
RENTERSThe insurance policy number
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
PLCY-1234567The date the insurance becomes effective
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
2025-06-01T00:00:00.000ZThe date the insurance expires
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
2026-06-01T00:00:00.000ZThe date the insurance was cancelled
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
2026-03-15T00:00:00.000ZThe liability amount in cents
This field will always be null for BUILDIUM
nullThe raw liability amount string
This field will always be null for BUILDIUM
nullAdditional notes about the insurance
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
BUILDIUMAPPFOLIOENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTBUILDIUMThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794373d1i1mxtetglxThe Propexo unique identifier for the lease
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794371b9g9kvrcrejvThe Propexo unique identifier for the resident
This is the ID of the insured tenant on the policy. If a policy covers multiple tenants, a record is saved for each insured tenant.
| Interface | Method |
|---|---|
| Lease Renters Insurance | GET /leases/:leaseId/rentersinsurance |
cmgjprasu79183794372c0h0lwsdsfkwErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/resident-insurance/:resident_insurance_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "cmgjprasu79183794374e2j2nyufuhmy",
"x_property_id": "cmgjprasu79183794376g4l4pawhwjoa",
"x_location_id": null,
"x_unit_id": "cmgjprasu79183794378i6n6rcyjylqc",
"x_lease_id": "cmgjprasu79183794375f3k3ozvgvinz",
"x_resident_id": "cmgjprasu79183794377h5m5qbxixkpb",
"provider": "Assurant",
"insurance_type": "RENTERS",
"policy_number": "PLCY-1234567",
"effective_date": "2025-06-01T00:00:00.000Z",
"expiration_date": "2026-06-01T00:00:00.000Z",
"cancellation_date": "2026-03-15T00:00:00.000Z",
"liability_amount_in_cents": null,
"liability_amount_raw": null,
"notes": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "BUILDIUM",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cmgjprasu79183794373d1i1mxtetglx",
"lease_id": "cmgjprasu79183794371b9g9kvrcrejv",
"resident_id": "cmgjprasu79183794372c0h0lwsdsfkw"
}
}